<template>
  <div class="account-cargo-type">
    <div class="account-cargo-type__row">
      <div class="account-cargo-type__title">
        Груз <i class="icon" :class="icon"/>
      </div>
    </div>
    <div class="account-cargo-type__row">
      <div class="account-cargo-type__types">
        {{ order.cargoTypeName }}. {{factualData}}
      </div>
    </div>
    <div class="account-cargo-type__row">
      <div class="account-cargo-type__condition">
        <i v-if="order.temperatureLowLimit || order.temperatureHighLimit" class="icon account-list__blue snow"/>
        <span v-if="order.temperatureLowLimit">от {{ order.temperatureLowLimit }}</span>
        <span v-if="order.temperatureHighLimit"> до {{ order.temperatureHighLimit }}</span>
      </div>
    </div>
    <div class="account-cargo-type__row" v-if="order.dangerousClassTitle">
      <div class="account-cargo-type__condition">
        <i class="icon account-list__blue hazard"/>
        {{ order.dangerousClassTitle }}
      </div>
    </div>
  </div>
</template>
<script>
import { mapGetters } from 'vuex';
import {getIconByRiskColor} from '@/constants/risk-colors.js';

export default {
  computed: {
    ...mapGetters({
      order: 'account/order'
    }),
    icon() {
      return getIconByRiskColor(this.order.riskColor)
    },
    factualData() {
      const text = `${this.order.cargoWeight ? (this.order.cargoWeight / 1000) : '-'}
        т/${this.order.volume ? this.order.volume : '-'}
        м3/${this.order.palletCount ? this.order.palletCount : '-'} пал`;
      return text;
    }
  }
  
}
</script>
<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
.account-cargo-type {

  .icon {
    font-size: 16px;
    color: #004BC8;
    margin-right: 6px;
  }

  &__row {
    display: flex;
  }

  &__title {
    display: flex;
    align-items: center;
    font-size: 12px;
    line-height: 12px;
    letter-spacing: 0.4px;
    color: $gray-slate;
    opacity: 0.9;

    .icon {
      font-size: 22px;
      line-height: 20px;
      margin-left: 6px;
    }
  }
  &__types  {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.2px;
    color: $color-text-base;
    opacity: 0.99;
  }

  &__condition {
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.2px;
    color: $gray-slate;
  }

}
</style>